

# Struct dp\_reader\_t



[**ClassList**](annotated.md) **>** [**dp\_reader\_t**](structdp__reader__t.md)





* `#include <dp_state.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  const uint8\_t \* | [**buf**](#variable-buf)  <br> |
|  size\_t | [**cap**](#variable-cap)  <br> |
|  int | [**err**](#variable-err)  <br> |
|  size\_t | [**off**](#variable-off)  <br> |












































## Public Attributes Documentation




### variable buf 

```C++
const uint8_t* dp_reader_t::buf;
```




<hr>



### variable cap 

```C++
size_t dp_reader_t::cap;
```




<hr>



### variable err 

```C++
int dp_reader_t::err;
```




<hr>



### variable off 

```C++
size_t dp_reader_t::off;
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/dp_state.h`

